{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load crm_utils %}
{% load crm_pagination %}

{% block content %}
    {% load static %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <div class="container-fluid">
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_information' client_id %}">Информация</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_detail' client_id %}">Абонементы</a>
        </li>
        <li class="nav-item">
            <a class="nav-link active" href="#">История</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="{% url 'client_info_installment' client_id %}" tabindex="-1" aria-disabled="true">Рассрочка</a>
        </li>
    </ul>
    <div class="tab-content" id="myTabContent">
    <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
        <div class="content p-2">
            <div class="card shadow mb-4">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                            <tr>
                                <th><input id="mass-choice" type="checkbox"></th>
                                <th>Дата и время операции</th>
                                <th>Тип операции</th>
                                <th>Группы</th>
                                <th>Абонемент</th>
                                <th>Сумма</th>
                                <th>Действия</th>
                            </tr>
                            </thead>
                        {% for data in history %}
                            <tbody>

                                <td>#</td>
                                <td>{{ data.create_date }}</td>
                                <td>{{ data.get_operation_type_display }}</td>
                                <td>{% for group in data.get_groups %}
                                        <span>{{ group }},</span>
                                    {% empty %}
                                        <span>Нет привязанных</span>
                                    {% endfor %}
                                </td>
                                <td>{{ data.abonement.abonement_name }}</td>
                                <td>{{ data.price }}</td>

                            <!--ДЕЙСТВИЯ -->
                            <td>
                        {% if data.operation_type == 'SALE' %}

                             {% include 'utils/actions/sale/edit.html' with sale=data.abonement %}
                             {% include 'utils/actions/sale/revoke.html' with sale=data.abonement %}
                             {% include 'utils/actions/sale/delete.html' with sale=data.abonement %}

                        {% elif data.operation_type == 'INSTALLMENT' %}
                            {% include 'utils/actions/payments/delete.html' with payment_id=data.payment_installment.id summ=data.payment_installment.payment url="payment_delete"|reverso installment_id=data.installment.id  %}

                        {% elif  data.operation_type == 'REVOKE' %}
                            {% include 'utils/actions/revoke/delete.html' with abonement_name=data.get_abonement sale_id=data.abonement.id cashbox_id=data.id %}
                        {% endif %}
                      </td>

                    {% empty %}
                        {% include 'no_data.html' %}

                    {% endfor %}



                            </tbody>
                    </table>
                    {% paginator %}
                </div>

            </div>
        </div>

    </div>



{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
        <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'sb_admin/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/js/revoke_sale.js' %}"></script>
{% endblock %}